libzypp 17.37.10

RelCompare.h File Reference
`#include <functional>`
`#include <zypp/Rel.h>`

Go to the source code of this file.

## Classes
struct | zypp::Compare< Tp >
| General compare functor returning -1, 0, 1. More...
struct | zypp::CompareBy< Tp, TCompare >
| Functor to compare two elements by Rel based on a general TCompare functor. More...
struct | zypp::CompareByEQ< Tp, TCompare >
struct | zypp::CompareByNE< Tp, TCompare >
struct | zypp::CompareByLT< Tp, TCompare >
struct | zypp::CompareByLE< Tp, TCompare >
struct | zypp::CompareByGT< Tp, TCompare >
struct | zypp::CompareByGE< Tp, TCompare >
struct | zypp::CompareByANY< Tp, TCompare >
struct | zypp::CompareByNONE< Tp, TCompare >

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
template<class Tp, class TCompare>
bool | zypp::compareByRel (Rel op, const Tp &lhs, const Tp &rhs, TCompare compare)
| Comparison of two elements using relational operator op.
template<class Tp>
bool | zypp::compareByRel (Rel op, const Tp &lhs, const Tp &rhs)
| compareByRel convenience using Compare<Tp> as general compare functor.